Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Offset um die Länge einer bestimmten Polyline

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Offset um die Länge einer bestimmten Polyline (360 mal gelesen)
LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 05. Apr. 2019 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

  Hallo, mein erster Lispkurs ist erst ende dieses Jahres und ....

ich brauch dringend eure Hilfe. 

Könnt ihr mir bitte ein kurzes Lisp schreiben.

In ca. so:

offset, auf die Linie klicken die versetzt werden soll, auf die Polylinie klicken (welche aus Bögen oder Linien oder beides bestehen kann) welche die Länge gemessen werden soll, voila .... 

Vielen Dank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1104
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 05. Apr. 2019 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

Hm ... du brauchst also die Länge einer angeklickten Polylinie um diese für einen Versatz zu verwenden.

Was hast du denn bisher gelernt ?
Ich möchte dem Ausbilder nicht vorgreifen und (böse wie ich bin) auch nichts fertiges servieren sondern dich zum suchen und finden animieren  damit du auch was lernst.

Hast du schon Befehle die mit vla- oder auch vlax- anfangen oder kommt das erst noch ?

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 273
Registriert: 15.07.2011

AC2016
Windows10

erstellt am: 05. Apr. 2019 15:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

Himmel, ich hab jetzt lange überlegt ob ich dazu was schreibe und Ja hat gewonnen.
Wenn das dein Algorithmus ist dann nutz die Zeit bis zu deinem LISP-Kurs an diesem zu arbeiten sonst bringt dir der Lisp-Kurs nichts. Nach 5mal lesen deines Problems ist mein Ergebniss: offset... voila ...     

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 08. Apr. 2019 14:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich beginn lisp ganz von Anfang an, weiß also noch nicht viel. Ich hab schon viele verwendet und hab eine vage Vorstellung von dem was möglich ist.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 08. Apr. 2019 14:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Wolfgang,

nein, mit offset allein geht es nicht. Eine Polyline hat Bögen und Linien und eine Gesamtlänge, diese Gesamtlänge möchte ich versetzen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 08. Apr. 2019 14:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das alles kommt erst noch. Ich bin wirklich erst am Beginn.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 273
Registriert: 15.07.2011

AC2016
Windows10

erstellt am: 08. Apr. 2019 15:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

Sorry ist anscheinend nichts was ich versthen muss. Daher bin ich hier mal raus.  

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19034
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 08. Apr. 2019 15:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

Befehl: _offset
Aktuelle Einstellungen: Quelle löschen=Nein  Layer=Quelle  OFFSETGAPTYPE=0
Abstand angeben oder [Durch punkt/lÖschen/Layer] <Durch punkt>: (vla-get-length(vlax-ename->vla-object(car(entsel))))

Objekt wählen: 9.85619

Zu versetzendes Objekt wählen oder [Beenden/Rückgängig] <Beenden>:
Punkt auf Seite angeben, auf die versetzt werden soll, oder [Beenden/Mehrfach/Rückgängig] <Beenden>:

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 09. Apr. 2019 10:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen Dank, dass du dich mir angenommen hast.

Deine Lösung misst zwar die Länge der Polylinie, versetzt aber nicht um diesen Wert, sondern um den Wert, den ich zuletzt eingegeben hatte.

Lieben Gruß
Babsi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 09. Apr. 2019 10:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Funktioniert, vielen, vielen Dank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz